Bug 206221 - SATA times out on boot
SATA times out on boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks: 210579
  Show dependency treegraph
 
Reported: 2006-09-12 21:04 EDT by Pete Zaitcev
Modified: 2013-07-02 22:29 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-11 16:54:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Good dmesg from old kernel (24.11 KB, text/plain)
2006-09-12 21:07 EDT, Pete Zaitcev
no flags Details
Bad dmesg from the new kernel (25.27 KB, text/plain)
2006-09-12 21:08 EDT, Pete Zaitcev
no flags Details
dmesg from Dell PWS670 (22.20 KB, text/plain)
2006-10-11 17:56 EDT, Rogelio Noriega
no flags Details

  None (edit)
Description Pete Zaitcev 2006-09-12 21:04:16 EDT
Description of problem:

The bootstrapping process is getting delayed. After a minute the
system continues to boot normally. The delay happens after a message
"ata2: port is slow to respond, please be patient"

Version-Release number of selected component (if applicable):

kernel-2.6.17-1.2630.fc6

How reproducible:

Always, on this specific hardware (Dell SC430).

Steps to Reproduce:
1. Install the kernel
2. Reboot and observe
  
Actual results:

Booting pauses for a long time.

Expected results:

Booting as usual.

Additional info:

This is not a fatal problem, but clearly is a regression.
Last working kernel is 2.6.17-1.2462.fc6.

Please see attached dmesgs.
Comment 1 Pete Zaitcev 2006-09-12 21:07:22 EDT
Created attachment 136126 [details]
Good dmesg from old kernel
Comment 2 Pete Zaitcev 2006-09-12 21:08:42 EDT
Created attachment 136127 [details]
Bad dmesg from the new kernel
Comment 3 Dax Kelson 2006-09-20 11:46:54 EDT
This happens as well on 31 Linux classroom computers we have in our office.

Dell Dimension 4600s (15 systems)
Dell Dimension 4700s (16 systems)

These are 32bit system.

I tried FC6test3 and rawhide from Sept 20th.
Comment 4 Rogelio Noriega 2006-10-11 17:54:14 EDT
This issue is also seen on Dell PWS 670 with kernel 2.6.18-1.2702.el5, the
controller is 00:1f.2 IDE interface: Intel Corporation 82801EB (ICH5) SATA
Controller (rev 02) I've attached dmesg_670.txt
Comment 5 Rogelio Noriega 2006-10-11 17:56:18 EDT
Created attachment 138286 [details]
dmesg from Dell PWS670
Comment 6 Dax Kelson 2006-10-11 18:15:33 EDT
I reproduced this problem on the stock kernel.org 2.6.18 kernel, so this does
not appear to be Fedora specific.
Comment 7 Pete Zaitcev 2006-11-16 12:33:38 EST
See also bug 215884 - apparently it's possible to use ahci instad of ata_piix
at least on some chipsets.
Comment 8 Pete Zaitcev 2007-01-11 16:54:39 EST
Fixed in 2.6.19-1.2906.fc7.
Comment 9 Dax Kelson 2007-01-11 17:15:28 EST
Will this be pushed out as errata for FC6?
Comment 10 Pete Zaitcev 2007-01-11 18:27:26 EST
Dax: Yes. However, it should be noted that the same timeout can happen for
several reasons. This is my bug, with the specific hardware (430). Also, it
is for a specific product line (Rawhide). So, (a) your bug may be different,
and (b) this bug number is not tracking commits to FC-6, so you won't be
notified just being on cc: here.

Note You need to log in before you can comment on or make changes to this bug.